Skip to main content
WEBHOOK

Authorizations

X-Webhook-Signature
string
header
required

HMAC-SHA256 signature supplied on every webhook delivery. The signature is computed from the raw request body using the webhook secret supplied during creation of the webhook subscription.

Webhook receivers can cryptographically verify this header before processing the event to ensure the authenticity of the webhook delivery.

Refer to the verify signatures documentation to learn details about the full payload and the exact verification algorithm.

X-Hook0-Signature is deprecated and will eventually be removed. Use X-Webhook-Signature going forward. Both headers are sent with identical values and use the same verification algorithm and webhook secret.

This scheme applies to webhook delivery (outbound POSTs from CDP to your endpoint), not to inbound CDP API requests.

Headers

X-Webhook-Signature
string
required

HMAC-SHA256 signature supplied on every webhook delivery. The signature is computed from the raw request body using the webhook secret supplied during creation of the webhook subscription.

Webhook receivers can cryptographically verify this header before processing the event to ensure the authenticity of the webhook delivery.

Refer to the verify signatures documentation to learn details about the full payload and the exact verification algorithm.

X-Hook0-Signature is deprecated and will eventually be removed. Use X-Webhook-Signature going forward. Both headers are sent with identical values and use the same verification algorithm and webhook secret.

This scheme applies to webhook delivery (outbound POSTs from CDP to your endpoint), not to inbound CDP API requests.

X-Hook0-Signature
string
required

HMAC-SHA256 signature supplied on every webhook delivery. The signature is computed from the raw request body using the webhook secret supplied during creation of the webhook subscription.

Webhook receivers can cryptographically verify this header before processing the event to ensure the authenticity of the webhook delivery.

Refer to the verify signatures documentation to learn details about the full payload and the exact verification algorithm.

X-Hook0-Signature is deprecated and will eventually be removed. Use X-Webhook-Signature going forward. Both headers are sent with identical values and use the same verification algorithm and webhook secret.

This scheme applies to webhook delivery (outbound POSTs from CDP to your endpoint), not to inbound CDP API requests.

Body

application/json

The wallet.transaction.pending webhook event payload.

Delivered when a transaction enters the pending state. EVM-only. The payload is one of three EVM wallet-type variants: API Key Wallet, User Wallet, or User Wallet (Delegated Signing).

transaction_hash
string
required

The onchain transaction hash.

Example:

"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"

address
string
required

The EVM wallet address whose transaction is pending.

Required string length: 1 - 128
Pattern: ^0x[0-9a-fA-F]{40}$
Example:

"0x742d35Cc6634C0532925a3b844Bc454e4438f44e"

network
enum<string>
required

The blockchain network identifier.

Available options:
base,
ethereum,
solana,
aptos,
arbitrum,
arbitrum-sepolia,
optimism,
polygon,
world,
world-sepolia
Example:

"base"

pending_since
string<date-time>
required

When the transaction entered the pending state (ISO 8601 format).

Example:

"2025-06-01T10:04:00Z"

max_fee_per_gas
string
required

EIP-1559 max fee per gas in wei.

Example:

"30000000000"

max_priority_fee_per_gas
string
required

EIP-1559 max priority fee per gas in wei.

Example:

"1500000000"

Response

Webhook received and processed successfully.